Get Pickup Points
Get list of supported pickup points in Hong Kong.
Endpoint
GET /v1/hkPickupPoints/get
Request
Header Parameters
| Parameter | Type | Required | Example | Description |
|---|---|---|---|---|
Content-Type | string | Yes | application/json | Request body media type. |
Path Parameters
N/A
Example request
curl -X GET "${API_URL}/v1/hkPickupPoints/get" \
-H "Content-Type: application/json"
Responses
200 Success
200 Success
Response schema:
application/jsondatajson-stringPickup points response wrapper.
data
json-string
Pickup points response wrapper.
courier_delivery_locationsjson-stringArray of pickup point locations.
courier_delivery_locations
json-string
Array of pickup point locations.
courier
string
Courier code for this pickup point.
Example:
jdldelivery_code
string
Provider-specific pickup point code.
Example:
5687557delivery_category
string
Delivery category for this location.
Example:
pickup_pointname_en
string
Pickup point name in English.
Example:
Ying Ying Dry Cleaning JD Service Stationname_tc
string
Pickup point name in Traditional Chinese.
Example:
盈盈乾洗京東服務站name_sc
string
Pickup point name in Simplified Chinese.
Example:
盈盈乾洗京东服务站address_en
string
Address in English.
Example:
G/F, 7 North Street, Kennedy Town, Hong Kongaddress_tc
string
Address in Traditional Chinese.
Example:
香港香港島中西區堅尼地城北街7號地下address_sc
string
Address in Simplified Chinese.
Example:
香港香港岛中西区坚尼地城北街7号地下opening_en
string
Opening hours in English.
Example:
10:00-21:00opening_tc
string
Opening hours in Traditional Chinese.
Example:
10:00-21:00opening_sc
string
Opening hours in Simplified Chinese.
Example:
10:00-21:00region_name_en
string
Region name in English.
Example:
Hong Kong Islandregion_name_tc
string
Region name in Traditional Chinese.
Example:
香港島region_name_sc
string
Region name in Simplified Chinese.
Example:
香港岛district_name_en
string
District name in English.
Example:
Central and West Regiondistrict_name_tc
string
District name in Traditional Chinese.
Example:
中西區district_name_sc
string
District name in Simplified Chinese.
Example:
中西区sub_district_name_en
string
Sub-district name in English.
Example:
Kennedy Townsub_district_name_tc
string
Sub-district name in Traditional Chinese.
Example:
堅尼地城sub_district_name_sc
string
Sub-district name in Simplified Chinese.
Example:
坚尼地城contact_number
string
Contact phone number for this pickup point. Empty when unavailable.
Example:
53212147remarks
string
Additional remarks for this pickup point. Empty when unavailable.
Example:
Open Monday to Saturday 10:00-21:00 and Sunday 09:00-18:00Response sample
{
"data": {
"courier_delivery_locations": [
{
"courier": "jdl",
"delivery_code": "5687557",
"delivery_category": "pickup_point",
"name_en": "Ying Ying Dry Cleaning JD Service Station",
"name_tc": "盈盈乾洗京東服務站",
"name_sc": "盈盈乾洗京东服务站",
"address_en": "G/F, 7 North Street, Kennedy Town, Hong Kong",
"address_tc": "香港香港島中西區堅尼地城北街7號地下",
"address_sc": "香港香港岛中西区坚尼地城北街7号地下",
"opening_en": "10:00-21:00",
"opening_tc": "10:00-21:00",
"opening_sc": "10:00-21:00",
"region_name_en": "Hong Kong Island",
"region_name_tc": "香港島",
"region_name_sc": "香港岛",
"district_name_en": "Central and West Region",
"district_name_tc": "中西區",
"district_name_sc": "中西区",
"sub_district_name_en": "Kennedy Town",
"sub_district_name_tc": "堅尼地城",
"sub_district_name_sc": "坚尼地城",
"contact_number": "53212147",
"remarks": "Open Monday to Saturday 10:00-21:00 and Sunday 09:00-18:00"
}
]
}
}
400 Bad Request
400 Bad Request
Response schema:
application/jsonerror.code
string
Error code.
Example:
400000error.code_reason
string
Error reason.
Example:
BAD_REQUESTerror.message
string
Human-readable message.
Example:
Bad Requesterror.error_tracearrayList of validation errors.
error.error_trace
array
List of validation errors.
field
string
Request field that failed.
Example:
querymessage
string
Human-readable message.
Example:
Invalid request{
"error": {
"code": "400000",
"code_reason": "BAD_REQUEST",
"message": "Bad Request",
"error_trace": [
{
"field": "query",
"message": "Invalid request"
}
]
}
}
401 Unauthorized
401 Unauthorized
Response schema:
application/jsoncode
string
Error code.
Example:
401000code_reason
string
Error reason.
Example:
UNAUTHORIZEDmessage
string
Human-readable message.
Example:
Unauthorized{
"error": {
"code": "401000",
"code_reason": "UNAUTHORIZED",
"message": "Unauthorized"
}
}
403 Forbidden
403 Forbidden
Response schema:
application/jsonerror
json-string
Access forbidden for this resource.
404 Not Found
404 Not Found
Response schema:
application/jsonerror
json-string
Resource or endpoint not found.
500 Failure
500 Failure
Response schema:
application/jsoncode
string
Error code.
Example:
500999code_reason
string
Error reason.
Example:
API_ERRORmessage
string
Human-readable message.
Example:
Api Error, please contact customer service{
"error": {
"code": "500999",
"code_reason": "API_ERROR",
"message": "Api Error, please contact customer service"
}
}